The supported hypervisor upgrade paths for the NSX-T Data Center product versions.

NSX-T Data Center 1.1

NSX-T Data Center 2.0

NSX-T Data Center 2.1

NSX-T Data Center 2.2

NSX-T Data Center 2.3

Supported vSphere Hypervisor (ESXi)

Supported vSphere Hypervisor (ESXi)

Supported vSphere Hypervisor (ESXi)

Supported vSphere Hypervisor (ESXi)

Supported vSphere Hypervisor (ESXi)

Ubuntu 14.04

Ubuntu 16.04.2 LTS with KVM 4.4.0.x

Ubuntu 16.04.2 LTS with KVM 4.4.0.x

Ubuntu 16.04.2 LTS with KVM 4.4.0.x

Ubuntu 16.04.2 LTS with KVM 4.4.0.x

Red Hat 7.4 and Red Hat 7.3

Red Hat 7.4

Red Hat 7.5 and Red Hat 7.4

CentOS 7.4

You must upgrade NSX-T Data Center in an incremental order. For example, you must upgrade from NSX-T Data Center 1.1 > NSX-T Data Center 2.0 > NSX-T Data Center 2.1 > NSX-T Data Center 2.2 > NSX-T Data Center 2.3.

Note:

If you have NSX-T Data Center 2.1 installed, you can upgrade to NSX-T Data Center 2.3.